# f(9)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## SYNOPSIS

f, f77, f90 - Fortran files

## FILES

hkf90.emf - Fortran hook definition
f90.etf - Fortran 90 template file.
f.etf - Fortran (77) template file.

## EXTENSIONS

.f - Fortran file
.f77 - Fortran 77 file
.f90 - Fortran 90 file

## DESCRIPTION

The f90 file type templates provide simple hilighting of Fortran 77 and Fortran 90 files, the template provides minimal hilighting of both language syntaxes, which are overloaded into the same file.

The major difference between the file types, apart from the new reserved words, is the comments. In Fortran 90 comments are introduced with !, while the other types use a c in column 0.

## BUGS

The Fortran hilight file is in it's infancy and a number of it's tokens may be misplaced.

## SEE ALSO

Supported File Types

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>